// pages/home/map/list.js
const  app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    workelist:[],
    status:"",
    inputValue:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
      this.workDesc();
      this.setData({
        status:app.globalData.status
      })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  //网点列表
  workDesc:function(e){
    var that=this;
    var keyword=that.data.inputValue;
    console.log(keyword);
    var latitude=wx.getStorageSync('latitude');
    var longitude=wx.getStorageSync('longitude');
  
    app.api.useApi(app.globalData.baseAppUrl + "api", {
      lat: latitude,
      lng: longitude,
      keyword: keyword,
      }, "get").then(function (res) {
        if (res.code != 200) {
            wx.showLoading({
                title: '网点加载失败'+res.status,
              })
        } else {
         that.setData({
            workelist:res.message.data.data
         })
        }

        wx.hideLoading();

      }).catch(function (err) {
        console.log(222);
      })

},
bindKeyInput: function (e) {
  this.setData({
    inputValue: e.detail.value
  })
},
setworke(e){
  console.log(e);
  const network_id=e.target.dataset.id;
  var that=this;
  app.api.useApi(app.globalData.baseAppUrl+"api/user/"+network_id+"/setNetwork",{
  },"post").then(function(res){
    if (res.code == 200) {
      wx.showLoading({
        title: '网点设置成功',
      })
      wx.setStorageSync('nid', network_id);
      setTimeout(function () {
        wx.switchTab({
          url: '/pages/tabber/home/index',
        })
        
        }, 3000)

 
     
     
    }
  }).catch(function(err){
    console.log(222);
  })
}

})